#!/bin/bash
#
# source: http://ftp.gnome.org/pub/gnome/sources/evolution-data-server/2.30/evolution-data-server-2.30.2.tar.bz2
#
# maintainer: (package seek a maintainers)
#

#------------------ Set Some Variables

buildir=$(pwd)
soft='evolution-data-server'
softversion="2.30.2"
arch="i486"
cpu="i686"
packageversion="66.2"
srcpkg="$buildir/$soft-$softversion.tar.bz2"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# ----------------- Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvjf $srcpkg
rm -f $dest.txz
rm -rf $dest

cd $src
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
export CFLAGS="-O2 -march=$arch -mtune=$cpu"
export CXXFLAGS="-O2 -march=$arch -mtune=$cpu"

./configure \
  --prefix=/usr \
  --sysconfdir=/etc \
  --localstatedir=/var \
  --enable-static=no \
  --enable-gnome-keyring \
  --with-openldap \
  --with-krb5=/usr

make -j4
make install DESTDIR=$dest

find $dest | xargs file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

# Documentation

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a ChangeLog COPYING INSTALL MAINTAINERS NEWS TODO $dest/usr/doc/$soft-$softversion

mkdir -p $dest/install
cat << "EODESC" > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

                     |-----handy-ruler---------------------------------------------------|
evolution-data-server: evolution-data-server - Evolution Backend Data Server Library
evolution-data-server:
evolution-data-server: The Evolution Data Server provides a single database for common,
evolution-data-server: desktop-wide information, such as a user's address book or calendar
evolution-data-server: events. It is also a dependency of the clock applet from the
evolution-data-server: gnome-applets package
evolution-data-server:
evolution-data-server:
evolution-data-server:
evolution-data-server:
evolution-data-server:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

# Packaging

cd $dest
makepkg -l y -c n $dest.txz

cd $buildir
md5sum $package.txz > $package.md5